Netlify AmazonAWS -> Uncaught TypeError: Object(...) is not a function

Post Reply
hosmy007
Posts: 2
Joined: 24 May 2015, 17:56

17 Sep 2021, 15:02

I have bought the template https://www.primefaces.org/sapphire-vue

I am very happy with it. I am finishing my development, I wanted to do a test on a productive server, using https://www.netlify.com/
The deployment was correct, but when executing the application I get an error which I have not been able to solve, I have investigated, updated some libraries, but the error persists.

Image

the line #9 is

Image

I used Amazon AWS to install everything manually, but the error persists, I have made all possible updates.

Can you help me find a solution, please.

URL
https://angry-hamilton-85b388.netlify.app/

Amazon AWS
http://3.17.147.20:8080/

ubuntu@ip-172-31-19-46:~$ node --version
v14.17.0
ubuntu@ip-172-31-19-46:~$ npm --version
7.24.0

package.json
{
"name": "manoo",
"version": "3.1.0",
"private": true,
"scripts": {
"serve": "vue-cli-service serve",
"build": "vue-cli-service build",
"lint": "vue-cli-service lint",
"test:unit": "vue-cli-service test:unit"
},
"devDependencies": {
"@vue/cli-plugin-babel": "~4.5.0",
"@vue/cli-plugin-eslint": "~4.5.0",
"@vue/cli-plugin-router": "~4.5.0",
"@vue/cli-plugin-unit-jest": "~4.5.0",
"@vue/cli-service": "~4.5.0",
"@vue/compiler-sfc": "^3.0.0",
"@vue/test-utils": "^2.0.0-0",
"babel-core": "7.0.0-bridge.0",
"babel-eslint": "^10.0.1",
"babel-jest": "^25.0.0",
"eslint": "^6.7.2",
"eslint-plugin-vue": "^7.0.0-0",
"node-sass": "^4.12.0",
"sass-loader": "^8.0.2"
},
"dependencies": {
"@fullcalendar/core": "4.0.2",
"@fullcalendar/daygrid": "4.0.1",
"@fullcalendar/interaction": "4.0.2",
"@fullcalendar/timegrid": "4.0.1",
"@vuelidate/core": "^2.0.0-alpha.25",
"@vuelidate/validators": "^2.0.0-alpha.21",
"axios": "^0.21.4",
"chart.js": "2.7.3",
"core-js": "^3.6.5",
"crypto-js": "^4.1.1",
"primeflex": "2.0.0",
"primeicons": "4.1.0",
"primevue": "3.3.4",
"prismjs": "^1.15.0",
"vue": "3.0.6",
"vue-i18n": "^9.1.7",
"vue-router": "^4.0.0-0",
"webpack": "^4.46.0"
}
}

tugce.kucukoglu
Posts: 186
Joined: 23 Oct 2020, 09:28

22 Sep 2021, 16:05

Hi,

Could you please try to use this

vue.config.js

Code: Select all

module.exports = {
	publicPath: process.env.NODE_ENV === 'production' ? '' : '/'
}

Post Reply

Return to “Sapphire - PrimeVue”

  • Information
  • Who is online

    Users browsing this forum: No registered users and 2 guests